Bug 5089 - __setfpucw.o missing from libc_nonshared.a
__setfpucw.o missing from libc_nonshared.a
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
6.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-12 13:07 EDT by bertstill
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 02:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bertstill 1999-09-12 13:07:17 EDT
the shared object script /usr/lib/libc.so specifies a search
group like this:
	GROUP ( /lib/libc.so.6 /usr/lib/libc_nonshared.a )
but neither of the libraries specified contain the object
__setfpucw.o (necessary to force i386 architectures to
deliver SIGFPE, for example).  fortunately, the file
/usr/lib/libc.a does contain the object.  the real bug is
that libc_nonshared.a should contain __setfpucw.o, and when
i rebuild the libraries, i will add it.  however, in the
meantime, it suffices to add /usr/lib/libc.a to the libc.so
grouping, like this:
	GROUP ( /lib/libc.so.6 /usr/lib/libc_nonshared.a
/usr/lib/libc.a )
-- it's a kludge, but it works.
Comment 1 Cristian Gafton 1999-10-05 02:06:59 EDT
Nope, the real bug is that you are using glibc-2.0 static code and
trying to link against glibc 2.1 libraries and/or object files. This
will not work, and any workaround will only produce a time bomb that
will explode some time later.

Only shared libararies can be ported and used between glibc 2.0 and
glibc 2.1

Note You need to log in before you can comment on or make changes to this bug.